ShareLinks resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Delete | DEL /v2/{accountId}/sharelinks/{id}Delete a share link |
| Get | GET /v2/{accountId}/sharelinks/{id}Get a share link |
| Patch | PATCH /v2/{accountId}/sharelinks/{id}Update a share link |
| Post | POST /v2/{accountId}/sharelinksCreate a share link |
| Put | PUT /v2/{accountId}/sharelinks/{id}Update a share link |
ShareLinks properties
| Property | Type | Description |
|---|---|---|
AllowNativeDownload | boolean | Only applies for shared documents. True if the document can be downloaded in native format as part of the terms of being shared. Sortable |
AllowPdfDownload | boolean | Only applies for shared documents. True if the document can be downloaded in PDF format as part of the terms of being shared. Sortable |
CreatedBy | string | Username of the user that created the share link |
CreatedDate | string (date-time) | Date and time that the share link was created. Sortable |
Document | Document | Document to split |
ExpirationDate | string (date-time) | When signatures will no longer be accepted |
Folder | Folder | [Required] Folder in which to import the content documents |
Href | string | Uri where the object can be retrieved. |
PreviewBehavior | string | Behavior when user navigates to URL for a shared document (does not apply to a shared folder). Possible values are: Preview, DownloadNative, DownloadPdf, DownloadInline. Filterable and sortable |
UpdatedBy | string | Username of the user that last updated the share link |
UpdatedDate | string (date-time) | Date and time that the share link was last updated. Sortable |
Url | string | Uri of where the shared object can be viewed |